Debian Bug report logs - #545801
qcontrol: no longer works in lenny

version graph

Package: qcontrol; Maintainer for qcontrol is Ian Campbell <ijc@hellion.org.uk>; Source for qcontrol is src:qcontrol.

Reported by: Nis Martensen <nis.martensen@web.de>

Date: Wed, 9 Sep 2009 09:09:02 UTC

Severity: serious

Found in version qcontrol/0.4.2-1

Fixed in versions qcontrol/0.4.2-2, qcontrol/0.4.2-1lenny1

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Wed, 09 Sep 2009 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nis Martensen <nis.martensen@web.de>:
New Bug report received and forwarded. Copy sent to Frans Pop <fjp@debian.org>. (Wed, 09 Sep 2009 09:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nis Martensen <nis.martensen@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qcontrol: no longer works in lenny
Date: Wed, 09 Sep 2009 10:54:03 +0200
Package: qcontrol
Version: 0.4.2-1
Severity: important

After installing the latest stable updates, qcontrol stopped working:
qcontrol error: gpio_keys device not available

I suspect this may be caused by the updated udev (Version: 0.125-7+lenny3).
There is no /dev/input/by-path directory:

$ ls -l /dev/input
insgesamt 0
crw-rw---- 1 root root 13, 64  8. Sep 08:33 event0
crw-rw---- 1 root root 13, 63  8. Sep 08:33 mice

Reportbug won't let me report this as "serious" without specifying a policy
section reference, therefore filing as important.


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.26-2-orion5x
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qcontrol depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  liblua5.1-0                   5.1.3-1    Simple, extensible, embeddable pro

qcontrol recommends no packages.

qcontrol suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Wed, 09 Sep 2009 16:27:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to 545801@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Wed, 09 Sep 2009 16:27:21 GMT) Full text and rfc822 format available.

Message #10 received at 545801@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 545801@bugs.debian.org
Cc: Nis Martensen <nis.martensen@web.de>
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Wed, 9 Sep 2009 18:20:53 +0200
severity 545801 serious
thanks

Thanks for filing the BR!

On Wednesday 09 September 2009, Nis Martensen wrote:
> $ ls -l /dev/input
> insgesamt 0
> crw-rw---- 1 root root 13, 64  8. Sep 08:33 event0
> crw-rw---- 1 root root 13, 63  8. Sep 08:33 mice

Hmm. Is there no /dev/input/by-path directory at all? That's not good.

Can you please provide the output of the following command (as root):
   udevadm test /class/input/event0

> Reportbug won't let me report this as "serious" without specifying a
> policy section reference, therefore filing as important.

Yes, it's a bit annoying that. It will actually take any justification, 
and you can also just change the severity while you're typing the rest of 
the message.

Cheers,
FJP




Severity set to 'serious' from 'important' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 09 Sep 2009 16:27:24 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions qcontrol/0.4.2-2. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 10 Sep 2009 02:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Thu, 10 Sep 2009 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nis Martensen <nis.martensen@web.de>:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Thu, 10 Sep 2009 09:54:03 GMT) Full text and rfc822 format available.

Message #19 received at 545801@bugs.debian.org (full text, mbox):

From: Nis Martensen <nis.martensen@web.de>
To: 545801@bugs.debian.org
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Thu, 10 Sep 2009 11:50:41 +0200
2009/9/9 Frans Pop <elendil@planet.nl>:
> Can you please provide the output of the following command (as root):
>   udevadm test /class/input/event0

This program is for debugging only, it does not run any program,
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

add_matching_files: unable to open '/lib/udev/rules.d': No such file
or directory
parse_file: reading '/etc/udev/rules.d/50-udev.rules' as rules file
parse_file: reading '/etc/udev/rules.d/60-persistent-input.rules' as rules file
parse_file: reading
'/etc/udev/rules.d/60-persistent-storage-tape.rules' as rules file
parse_file: reading '/etc/udev/rules.d/60-persistent-storage.rules' as
rules file
parse_file: reading '/etc/udev/rules.d/60-persistent-v4l.rules' as rules file
parse_file: reading '/dev/.udev/rules.d/61-dev-root-link.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-net.rules' as rules file
parse_file: reading '/etc/udev/rules.d/75-cd-aliases-generator.rules'
as rules file
parse_file: reading
'/etc/udev/rules.d/75-persistent-net-generator.rules' as rules file
parse_file: reading '/etc/udev/rules.d/80-drivers.rules' as rules file
parse_file: reading '/etc/udev/rules.d/90-hal.rules' as rules file
parse_file: reading '/etc/udev/rules.d/91-permissions.rules' as rules file
parse_file: reading '/etc/udev/rules.d/95-late.rules' as rules file
import_uevent_var: import into environment: 'MAJOR=13'
import_uevent_var: import into environment: 'MINOR=64'
import_uevent_var: import into environment:
'PHYSDEVPATH=/devices/platform/gpio-keys'
import_uevent_var: import into environment: 'PHYSDEVBUS=platform'
import_uevent_var: import into environment: 'PHYSDEVDRIVER=gpio-keys'
udevtest: looking at device '/class/input/input0/event0' from subsystem 'input'
udev_rules_get_name: add symlink 'char/13:64'
udev_rules_get_name: rule applied, 'event0' becomes 'input/event0'
run_program: 'path_id /class/input/input0/event0'
run_program: '/lib/udev/path_id' (stdout) 'ID_PATH=platform-gpio-keys'
run_program: '/lib/udev/path_id' returned with status 0
udev_device_event: device '/class/input/input0/event0' already in
database, cleanup
udev_node_add: creating device node '/dev/input/event0', major=13,
minor=64, mode=0660, uid=0, gid=0
udev_node_update_symlinks: update symlink 'char/13:64' of
'/class/input/input0/event0'
udev_db_get_devices_by_name: found index directory
'/dev/.udev/names/char\x2f13:64'
update_link: found 1 devices with name 'char/13:64'
update_link: found '/class/input/input0/event0' for 'char/13:64'
update_link: compare (our own) priority of '/class/input/input0/event0' 0 >= 0
update_link: 'char/13:64' with target 'input/event0' has the highest
priority 0, create it
udevtest: run: 'socket:/org/freedesktop/hal/udev_event'
udevtest: run: 'socket:@/org/kernel/udev/monitor'




Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Thu, 10 Sep 2009 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 545801@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Thu, 10 Sep 2009 11:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 545801@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 545801@bugs.debian.org
Cc: Nis Martensen <nis.martensen@web.de>
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Thu, 10 Sep 2009 13:01:37 +0200
tags 545801 pending
thanks

On Thursday 10 September 2009, Nis Martensen wrote:
> 2009/9/9 Frans Pop <elendil@planet.nl>:
> > Can you please provide the output of the following command (as root):
> >   udevadm test /class/input/event0
>
> [output of command snipped]

Thanks Nis, that confirms my suspicion: udev "fixed" the old rule that 
created a slightly broken persistent device name (trailing dash), but 
failed to add the new udev rule which creates the "improved" device name.

I've just uploaded a new version of qcontrol, but that will only really 
become available with the next stable point release.

In the mean time here's the correct workaround. The one I posted in reply 
to your original mail lacked the trailing dash needed by qcontrol in 
stable.

Create a file /etc/udev/rules.d/z60-qcontrol.rules:
KERNEL=="event*", ENV{ID_PATH}=="platform-gpio-keys", \
	SYMLINK+="input/by-path/$env{ID_PATH}-event-"

In fact, the uploaded new version creates the same file (but then without 
the trailing dash).

Thanks again,
FJP




Added tag(s) pending. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 10 Sep 2009 11:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Thu, 10 Sep 2009 12:09:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nis Martensen <nis.martensen@web.de>:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Thu, 10 Sep 2009 12:09:18 GMT) Full text and rfc822 format available.

Message #31 received at 545801@bugs.debian.org (full text, mbox):

From: Nis Martensen <nis.martensen@web.de>
To: 545801@bugs.debian.org
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Thu, 10 Sep 2009 13:29:16 +0200
Hi Frans,

2009/9/10 Frans Pop <elendil@planet.nl>:
> Create a file /etc/udev/rules.d/z60-qcontrol.rules:
> KERNEL=="event*", ENV{ID_PATH}=="platform-gpio-keys", \
>        SYMLINK+="input/by-path/$env{ID_PATH}-event-"

Sorry, still no difference...




Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Thu, 10 Sep 2009 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nis Martensen <nis.martensen@web.de>:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Thu, 10 Sep 2009 12:21:03 GMT) Full text and rfc822 format available.

Message #36 received at 545801@bugs.debian.org (full text, mbox):

From: Nis Martensen <nis.martensen@web.de>
To: 545801@bugs.debian.org
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Thu, 10 Sep 2009 14:16:23 +0200
Hi Frans,

2009/9/10 Nis Martensen <nis.martensen@web.de>:
> Sorry, still no difference...

Must have been a copy/paste error on my side. In fact in works now.
Thank you for your help!

Regards,
 Nis




Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. (Thu, 10 Sep 2009 14:21:09 GMT) Full text and rfc822 format available.

Notification sent to Nis Martensen <nis.martensen@web.de>:
Bug acknowledged by developer. (Thu, 10 Sep 2009 14:21:10 GMT) Full text and rfc822 format available.

Message #41 received at 545801-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 545801-close@bugs.debian.org
Subject: Bug#545801: fixed in qcontrol 0.4.2-1lenny1
Date: Thu, 10 Sep 2009 13:56:53 +0000
Source: qcontrol
Source-Version: 0.4.2-1lenny1

We believe that the bug you reported is fixed in the latest version of
qcontrol, which is due to be installed in the Debian FTP archive:

qcontrol-udeb_0.4.2-1lenny1_armel.udeb
  to pool/main/q/qcontrol/qcontrol-udeb_0.4.2-1lenny1_armel.udeb
qcontrol_0.4.2-1lenny1.diff.gz
  to pool/main/q/qcontrol/qcontrol_0.4.2-1lenny1.diff.gz
qcontrol_0.4.2-1lenny1.dsc
  to pool/main/q/qcontrol/qcontrol_0.4.2-1lenny1.dsc
qcontrol_0.4.2-1lenny1_armel.deb
  to pool/main/q/qcontrol/qcontrol_0.4.2-1lenny1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545801@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated qcontrol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Sep 2009 11:47:54 +0200
Source: qcontrol
Binary: qcontrol qcontrol-udeb
Architecture: source armel
Version: 0.4.2-1lenny1
Distribution: stable
Urgency: low
Maintainer: Frans Pop <fjp@debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 qcontrol   - hardware control for QNAP TS-109, TS-209 and TS-409
 qcontrol-udeb - hardware control for QNAP TS-109, TS-209 and TS-409 (udeb)
Closes: 545801
Changes: 
 qcontrol (0.4.2-1lenny1) stable; urgency=low
 .
   * udev (0.125-7+lenny3) no longer creates the persistent device needed by
     qcontrol. Add a custom udev rule to create it. Closes: #545801.
Checksums-Sha1: 
 a22bc3f5f830aa334334342c9f49dcff8e565aed 1070 qcontrol_0.4.2-1lenny1.dsc
 c7f335cbf021fed9422a7d0c4cbd93f66cbb161b 7942 qcontrol_0.4.2-1lenny1.diff.gz
 50f1ae97b93ed7107c1e07375e09542d7189a6d9 16776 qcontrol_0.4.2-1lenny1_armel.deb
 a7949430335e803f3c14e1f562ba5c0380bf8216 69378 qcontrol-udeb_0.4.2-1lenny1_armel.udeb
Checksums-Sha256: 
 0857c3331be6a84550bd66109675595d71f090473de854299edca0f832e83191 1070 qcontrol_0.4.2-1lenny1.dsc
 3734c341768281f2a109f37bddd7f34fb6b80ad976d1984ac456dadf7b1ebff3 7942 qcontrol_0.4.2-1lenny1.diff.gz
 b03ab99bba259344105c8ae7fe641ab5bb00706e87e2e24e27c8b0ffce4c0396 16776 qcontrol_0.4.2-1lenny1_armel.deb
 9054592cb7b954409ee5c759d69d986a3a4f4c006fbb1334bf62fa29faf101dc 69378 qcontrol-udeb_0.4.2-1lenny1_armel.udeb
Files: 
 2a0b2c0d7a8fc50d7c8e58a89d1f6040 1070 utils optional qcontrol_0.4.2-1lenny1.dsc
 7b3b7f123836e922ef6fbc273aeaad2b 7942 utils optional qcontrol_0.4.2-1lenny1.diff.gz
 f08f0a1dac7b0ec36d63c6cde6cd1ec4 16776 utils optional qcontrol_0.4.2-1lenny1_armel.deb
 753c508b28f1e9c5a2e8e073b0a52cc1 69378 debian-installer optional qcontrol-udeb_0.4.2-1lenny1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqozeAACgkQgm/Kwh6ICoRfxgCgouD7V3rTS5mSi7WA0nULeUyF
JgEAnAjZfIB93VhID3uQ/6LQ340F53zR
=Hvtd
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Frans Pop <fjp@debian.org>:
Bug#545801; Package qcontrol. (Fri, 11 Sep 2009 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 545801@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Frans Pop <fjp@debian.org>. (Fri, 11 Sep 2009 10:51:03 GMT) Full text and rfc822 format available.

Message #46 received at 545801@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 545801@bugs.debian.org
Cc: Nis Martensen <nis.martensen@web.de>
Subject: Re: Bug#545801: qcontrol: no longer works in lenny
Date: Fri, 11 Sep 2009 12:43:21 +0200
On Wednesday 09 September 2009, Nis Martensen wrote:
> After installing the latest stable updates, qcontrol stopped working:
> qcontrol error: gpio_keys device not available

A fixed version of the packages is now also available from the 
proposed-updates distribution, or it can be downloaded directly from a 
mirror: http://ftp.nl.debian.org/debian/pool/main/q/qcontrol/

You'll want the .deb with version '0.4.2-1lenny1' for either arm or armel.

Cheers,
FJP




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Jan 2010 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:31:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.